Verified Commit ef04b3d4 authored by Huste, Tobias (FWCC) - 111645's avatar Huste, Tobias (FWCC) - 111645
Browse files

Use Python 3.8 in pipenv

The docker image used in GitLab CI only ships Python 3.8.
parent 95b2ddc6
Pipeline #74229 failed with stages
in 11 minutes and 59 seconds
......@@ -8,7 +8,7 @@ stages:
- lint
- test
image: python:3.9
image: python:3.8
default:
interruptible: true
......
......@@ -18,4 +18,4 @@ ansible-lint = "~=5.0.11"
reuse = "~=0.12.1"
[requires]
python_version = "3.9"
python_version = "3.8"
{
"_meta": {
"hash": {
"sha256": "1b484c64806fa495c5868f92da4777721db1bbe4d4f9abd6497a475dae880584"
"sha256": "2cc37b4705941985403f2742159468bbcc491cfb3084f93dfdc3074abf58c43b"
},
"pipfile-spec": 6,
"requires": {
"python_version": "3.9"
"python_version": "3.8"
},
"sources": [
{
......@@ -678,7 +678,7 @@
"sha256:17b3f486c38e79cc219d8848974b277ef532a82d12b3ad6eb37bb8c6f22ab5fc",
"sha256:203e79c9012f57e0148a2132d0b43fe070a5c213cf080982c186e1d3ae4f8e1d"
],
"markers": "python_version >= '3.6' and python_version < '4.0'",
"markers": "python_version >= '3.6' and python_version < '4'",
"version": "==10.2.2"
},
"ruamel.yaml": {
......@@ -769,7 +769,7 @@
"sha256:2f4da4594db7e1e110a944bb1b551fdf4e6c136ad42e4234131391e21eb5b0df",
"sha256:e7b021f7241115872f92f43c6508082facffbd1c048e3c6e2bb9c2a157e28937"
],
"markers": "python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4' and python_version < '4.0'",
"markers": "python_version >= '2.7' and python_version not in '3.0, 3.1, 3.2, 3.3, 3.4' and python_version < '4'",
"version": "==1.26.4"
},
"wcmatch": {
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment